> For the complete documentation index, see [llms.txt](https://docs.openbrim.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openbrim.org/developers/paramml-developer-guide/core-objects/finite-elements-objects/fesurface.md).

# FESurface

The "FESurface" Object is a component of the finite element model that represents foundations or slabs. It requires at least three different "Node" Objects and a Material object, and the thickness must also be specified using the Thickness parameter.

**Example Syntax:**

```
...
<O T="FESurface">
...
...
</O>
```

**Example:**

```xml
<O N="FESurfaceObject1" T="Project" Category="FEM Objects" TransAlignRule="Right">
    <!-- created by ParamML Examples on 07.02.2023 -->
    <O N="Inputs" T="Group">
        <P N="h_col" V="500" D="column height" Role="Input" Category="Inputs" />
        <P N="b_bm" V="400" D="beam width" Role="Input" Category="Inputs" />
        <P N="d_bm" V="500" D="beam depth" Role="Input" Category="Inputs" />
    </O>
    <O N="Column" T="Line">
        <O T="Point" X="b_bm" Y="0" Z="0" />
        <O T="Point" X="b_bm" Y="0" Z="h_col" />
        <O N="ColSec1" T="Section">
            <O T="Shape">
                <O T="Point" X="0" Y="0" />
                <O T="Point" X="0" Y="b_bm" />
                <O T="Point" X="d_bm" Y="b_bm" />
                <O T="Point" X="d_bm" Y="0" />
            </O>
            <O N="ColConcrete" T="Material">
                <P N="E" V="519120" />
                <P N="G" V="221904" />
                <P N="d" V="0.15" />
                <P N="a" V="0.0000055" />
                <P N="Fc28" V="576" />
            </O>
        </O>
    </O>
    <O N="NB1" T="Node" Z="0" Y="0" X="0" Rz="-1" Ry="-1" Rx="-1" Tz="-1" Ty="-1" Tx="-1" />
    <O N="NB2" T="Node" Z="0" Y="0" X="b_bm" Rz="-1" Ry="-1" Rx="-1" Tz="-1" Ty="-1" Tx="-1" />
    <O N="NB3" T="Node" Z="0" Y="d_bm" X="b_bm" Rz="-1" Ry="-1" Rx="-1" Tz="-1" Ty="-1" Tx="-1" />
    <O N="NB4" T="Node" Z="0" Y="d_bm" X="0" Rz="-1" Ry="-1" Rx="-1" Tz="-1" Ty="-1" Tx="-1" />
    <O N="N1" T="Node" X="0" Y="0" Z="h_col" />
    <O N="N2" T="Node" X="b_bm" Y="0" Z="h_col" />
    <O N="N3" T="Node" X="b_bm" Y="d_bm" Z="h_col" />
    <O N="N4" T="Node" X="0" Y="d_bm" Z="h_col" />
    <O N="L1" T="FELine">
        <P N="Node1" V="NB1" T="Node" />
        <P N="Node2" V="N1" T="Node" />
        <P N="Section" V="ColSec1" T="Section" />
        <P N="Beta" V="0" />
    </O>
    <O N="L2" T="FELine">
        <P N="Node1" V="NB2" T="Node" />
        <P N="Node2" V="N2" T="Node" />
        <P N="Section" V="ColSec1" T="Section" />
        <P N="Beta" V="0" />
    </O>
    <O N="L3" T="FELine">
        <P N="Node1" V="NB3" T="Node" />
        <P N="Node2" V="N3" T="Node" />
        <P N="Section" V="ColSec1" T="Section" />
        <P N="Beta" V="0" />
    </O>
    <O N="L4" T="FELine">
        <P N="Node1" V="NB4" T="Node" />
        <P N="Node2" V="N4" T="Node" />
        <P N="Section" V="ColSec1" T="Section" />
        <P N="Beta" V="0" />
    </O>
    <O N="TopMeshSurface" T="FESurface">
        <P N="Material" V="ColConcrete" T="Material" />
        <P N="Node1" V="N1" T="Node" />
        <P N="Node2" V="N2" T="Node" />
        <P N="Node3" V="N3" T="Node" />
        <P N="Node4" V="N4" T="Node" />
        <P N="Thickness" V="10" />
    </O>
</O>
```

![](https://openbrim.atlassian.net/wiki/download/attachments/2161967173/image-20230207-121440.png?api=v2) In the above example, 8 "FENode", 4 "FELine", material class and finally "FESurface" were defined. To view this example in the library, see (<https://openbrim.org/platform/?application=inc&author=ParamML_Examples_OpenBrIM+Platform&folder=FEM+Objects&obj=objid4faplfilk9xmwl79y0h1d9>)

**Parameters of FESurface Object:**

\| | **Label** | **Mandatory** | **Name and Type Attributes** | **Default Description and Value Attributes** | **Other Attributes** | | --- | --- | --- | --- | --- | | 1 | Node 1 | Yes | N="Node1" T="Node" | D="Node 1: The first node of the finite element." V="" | Role="Input" | | 2 | Node 2 | Yes | N="Node2" T="Node" | D="Node 2: The second node of the finite element." V="" | Role="Input" | | 3 | Node 3 | Yes | N="Node3" T="Node" | D="Node 3: The third node of the finite element." V="" | Role="Input" | | 4 | Node 4 | Yes | N="Node4" T="Node" | D="Node 4: The fourth node of the finite element." V="" | Role="Input" | | 5 | Thickness | Yes | N="Thickness" | D="Thickness: The thickness of the surface." V="0" | Role="Input" | | 6 | Material | Yes | N="Material" T="Material" | D="Material: The material property of the finite element." V="" | Role="Input" |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openbrim.org/developers/paramml-developer-guide/core-objects/finite-elements-objects/fesurface.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
